ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/trunk/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 956 by gezelter, Tue May 16 02:06:37 2006 UTC vs.
Revision 958 by gezelter, Wed May 17 03:03:03 2006 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 881 | Line 881 | Optional Packages:
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882    --with-perl-shebang     override what perl thinks is the way for the kernel
883                            to start it (seldom needed)
884 <  --with-zlib=DIR root directory path of zlib installation defaults to
885 <                    /usr/local or /usr if not found in /usr/local
886 <  --without-zlib to disable zlib usage completely
887 <  --without-fftw          if you turn this off you cannot compute undulation spectra
884 >  --with-zlib=DIR         root directory path of zlib installation (defaults
885 >                          to /usr/local or /usr if not found in /usr/local)
886 >  --with-fftw=DIR         root directory path of fftw installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
889    --with-cgal-makefile=FILE  CGAL makefile that should be used
890  
# Line 1414 | Line 1414 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1414  
1415  
1416  
1417 # ACX_CHECK_FFTW()
1418 # ----------------
1419 # This macro checks for fftw header files and libraries,
1420 # including the possible prefixing with s or d to determine precision.
1421 # Arg 1 is the fftw header/library name to check for, without
1422 # prefix or anything else (e.g. rfftw_mpi for real MPI transforms)
1423 # Arg 2 is the size of the real variable used.
1417  
1418  
1419  
# Line 1429 | Line 1422 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1422  
1423  
1424  
1425 + #
1426 + #
1427 + #
1428  
1429  
1430  
1431  
1436 #
1437 #
1438 #
1432  
1433  
1434   # AC_F90_MODULE_NAMES
# Line 1480 | Line 1473 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1473  
1474  
1475  
1476 +
1477 +
1478 +
1479 +
1480 +
1481 +
1482 +
1483 +
1484 +
1485 +
1486 +
1487 +
1488 +
1489 +
1490 +
1491 +
1492 +
1493 +
1494 +
1495 +
1496 +
1497 +
1498 +
1499 +
1500 +
1501 +
1502 +
1503 +
1504 +
1505 +
1506 +
1507 +
1508 +
1509 +
1510 +
1511 +
1512 +
1513 +
1514 +
1515 +
1516 +
1517 +
1518 +
1519 +
1520 +
1521 +
1522 +
1523 +
1524 +
1525 +
1526 +
1527 +
1528   # who am i
1529   # Make sure we can run config.sub.
1530   $ac_config_sub sun4 >/dev/null 2>&1 ||
# Line 2740 | Line 2785 | fi
2785  
2786  
2787   # Provide some information about the compiler.
2788 < echo "$as_me:2743:" \
2788 > echo "$as_me:2788:" \
2789       "checking for Fortran compiler version" >&5
2790   ac_compiler=`set X $ac_compile; echo $2`
2791   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3492 | Line 3537 | if test "$AR" = "NONE"; then
3537   fi
3538  
3539   if test "$AR" = "NONE"; then
3495  { { echo "$as_me:$LINENO: error: --> Can't find \`ar'!" >&5
3496 echo "$as_me: error: --> Can't find \`ar'!" >&2;}
3497   { (exit 1); exit 1; }; }
3540    cat >confcache <<\_ACEOF
3541   # This file is a shell script that caches the results of configure
3542   # tests run on this system so they can be shared between configure
# Line 3991 | Line 4033 | FCFLAGS="$FCFLAGS $ac_verb"
4033   # flags.
4034   ac_save_FFLAGS=$FCFLAGS
4035   FCFLAGS="$FCFLAGS $ac_verb"
4036 < (eval echo $as_me:3994: \"$ac_link\") >&5
4036 > (eval echo $as_me:4036: \"$ac_link\") >&5
4037   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4038   echo "$ac_fc_v_output" >&5
4039   FCFLAGS=$ac_save_FFLAGS
# Line 4069 | Line 4111 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4111   # flags.
4112   ac_save_FFLAGS=$FCFLAGS
4113   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4114 < (eval echo $as_me:4072: \"$ac_link\") >&5
4114 > (eval echo $as_me:4114: \"$ac_link\") >&5
4115   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4116   echo "$ac_fc_v_output" >&5
4117   FCFLAGS=$ac_save_FFLAGS
# Line 4805 | Line 4847 | FCFLAGS="$FCFLAGS $ac_verb"
4847   # flags.
4848   ac_save_FFLAGS=$FCFLAGS
4849   FCFLAGS="$FCFLAGS $ac_verb"
4850 < (eval echo $as_me:4808: \"$ac_link\") >&5
4850 > (eval echo $as_me:4850: \"$ac_link\") >&5
4851   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4852   echo "$ac_fc_v_output" >&5
4853   FCFLAGS=$ac_save_FFLAGS
# Line 4883 | Line 4925 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4925   # flags.
4926   ac_save_FFLAGS=$FCFLAGS
4927   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4928 < (eval echo $as_me:4886: \"$ac_link\") >&5
4928 > (eval echo $as_me:4928: \"$ac_link\") >&5
4929   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4930   echo "$ac_fc_v_output" >&5
4931   FCFLAGS=$ac_save_FFLAGS
# Line 5760 | Line 5802 | done
5802   #
5803   # Handle user hints
5804   #
5763 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5764 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5805  
5806   # Check whether --with-zlib or --without-zlib was given.
5807   if test "${with_zlib+set}" = set; then
5808    withval="$with_zlib"
5809 <  if test "$withval" != no ; then
5810 <  echo "$as_me:$LINENO: result: yes" >&5
5811 < echo "${ECHO_T}yes" >&6
5812 <  if test -d "$withval"
5809 >  zlib_dir="$withval"
5810 > else
5811 >                zlib_dir="not_set"
5812 > fi;
5813 > if test "$zlib_dir" != "no"; then
5814 >
5815 > if test "$zlib_dir" != "not_set" ; then
5816 >  if test -d "$zlib_dir"
5817    then
5818 <    ZLIB_HOME="$withval"
5818 >    ZLIB_HOME="$zlib_dir"
5819    else
5820 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5821 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5820 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5821 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5822    fi
5779 else
5780  echo "$as_me:$LINENO: result: no" >&5
5781 echo "${ECHO_T}no" >&6
5823   fi
5783 fi;
5824  
5825   ZLIB_HOME=/usr/local
5826   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6033 | Line 6073 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6073   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6074   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6075  
6036        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6037        then
6038                #
6039                # If both library and header were found, use them
6040                #
6076  
6077 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6043 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6044 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6045 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6046 < else
6047 <  ac_check_lib_save_LIBS=$LIBS
6048 < LIBS="-lz  $LIBS"
6049 < cat >conftest.$ac_ext <<_ACEOF
6050 < /* confdefs.h.  */
6051 < _ACEOF
6052 < cat confdefs.h >>conftest.$ac_ext
6053 < cat >>conftest.$ac_ext <<_ACEOF
6054 < /* end confdefs.h.  */
6077 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6078  
6079 < /* Override any gcc2 internal prototype to avoid an error.  */
6080 < #ifdef __cplusplus
6058 < extern "C"
6059 < #endif
6060 < /* We use char because int might match the return type of a gcc2
6061 <   builtin and then its argument prototype would still apply.  */
6062 < char inflateEnd ();
6063 < #ifdef FC_DUMMY_MAIN
6064 < #ifndef FC_DUMMY_MAIN_EQ_F77
6065 < #  ifdef __cplusplus
6066 <     extern "C"
6067 < #  endif
6068 <   int FC_DUMMY_MAIN() { return 1; }
6069 < #endif
6070 < #endif
6071 < int
6072 < main ()
6073 < {
6074 < inflateEnd ();
6075 <  ;
6076 <  return 0;
6077 < }
6079 > cat >>confdefs.h <<\_ACEOF
6080 > #define HAVE_ZLIB_H 1
6081   _ACEOF
6079 rm -f conftest.$ac_objext conftest$ac_exeext
6080 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6081  (eval $ac_link) 2>conftest.er1
6082  ac_status=$?
6083  grep -v '^ *+' conftest.er1 >conftest.err
6084  rm -f conftest.er1
6085  cat conftest.err >&5
6086  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6087  (exit $ac_status); } &&
6088         { ac_try='test -z "$ac_c_werror_flag"
6089                         || test ! -s conftest.err'
6090  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6091  (eval $ac_try) 2>&5
6092  ac_status=$?
6093  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6094  (exit $ac_status); }; } &&
6095         { ac_try='test -s conftest$ac_exeext'
6096  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6097  (eval $ac_try) 2>&5
6098  ac_status=$?
6099  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6100  (exit $ac_status); }; }; then
6101  ac_cv_lib_z_inflateEnd=yes
6102 else
6103  echo "$as_me: failed program was:" >&5
6104 sed 's/^/| /' conftest.$ac_ext >&5
6082  
6083 < ac_cv_lib_z_inflateEnd=no
6084 < fi
6108 < rm -f conftest.err conftest.$ac_objext \
6109 <      conftest$ac_exeext conftest.$ac_ext
6110 < LIBS=$ac_check_lib_save_LIBS
6111 < fi
6112 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6113 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6114 < if test $ac_cv_lib_z_inflateEnd = yes; then
6115 <  cat >>confdefs.h <<_ACEOF
6083 >
6084 > cat >>confdefs.h <<\_ACEOF
6085   #define HAVE_LIBZ 1
6086   _ACEOF
6087  
6088 <  LIBS="-lz $LIBS"
6089 <
6090 < fi
6122 <
6123 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6124 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6125 <                echo "$as_me:$LINENO: result: ok" >&5
6126 < echo "${ECHO_T}ok" >&6
6088 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6089 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6090 >                ZLIB="-lz"
6091          else
6128                #
6129                # If either header or library was not found, revert and bomb
6130                #
6092                  echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6093   echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6094 +                ZLIB_INC_DIR=
6095 +                ZLIB_LIB_DIR=
6096 +                ZLIB=
6097                  LDFLAGS="$ZLIB_OLD_LDFLAGS"
6098                  CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6099                  echo "$as_me:$LINENO: result: failed" >&5
6100   echo "${ECHO_T}failed" >&6
6101 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6102 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6103 <   { (exit 1); exit 1; }; }
6101 >                echo ""
6102 >                echo "*********************************************************"
6103 >                echo "* WARNING: Could not find a working zlib installation   *"
6104 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6105 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6106 >                echo "* installation with --with-zlib=DIR                     *"
6107 >                echo "*                                                       *"
6108 >                echo "* OOPSE will still work without zlib installed.         *"
6109 >                echo "*********************************************************"
6110 >                echo ""
6111          fi
6141 fi
6112  
6113  
6114  
6115 + fi
6116 + fi
6117 +
6118 + #
6119 + # Handle user hints
6120 + #
6121 +
6122   # Check whether --with-fftw or --without-fftw was given.
6123   if test "${with_fftw+set}" = set; then
6124    withval="$with_fftw"
6125 <
6125 >  fftw_dir="$withval"
6126   else
6127 <  with_fftw=yes
6127 >                fftw_dir="not_set"
6128   fi;
6129 < if test "$with_fftw" = "no"; then
6129 > if test "$fftw_dir" != "no"; then
6130  
6131 < cat >>confdefs.h <<\_ACEOF
6132 < #define WITHOUT_FFTW
6133 < _ACEOF
6134 <
6131 > if test "$fftw_dir" != "not_set" ; then
6132 >  if test -d "$fftw_dir"
6133 >  then
6134 >    FFTW_HOME="$fftw_dir"
6135 >  else
6136 >    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6137 > echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6138 >  fi
6139   fi
6159 if test "$with_fftw" = "yes"; then
6160  sizeof_real=8
6140  
6141 <
6142 < if test -z "$ac_fftw_firstname"; then
6143 <
6144 < sizeof_real=$sizeof_real
6166 < if test $sizeof_real = 8; then
6167 <  prec="double"
6168 <  fftwcheckprefix=d
6169 < else
6170 <  prec="single"
6171 <  fftwcheckprefix=s
6141 > FFTW_HOME=/usr/local
6142 > if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6143 > then
6144 >        FFTW_HOME=/usr
6145   fi
6146  
6147 < xfftwname=${fftwcheckprefix}fftw3
6147 > #
6148 > # Locate fftw, if wanted
6149 > #
6150 > if test -n "${FFTW_HOME}"
6151 > then
6152 >        FFTW_OLD_LDFLAGS=$LDFLAGS
6153 >        FFTW_OLD_CPPFLAGS=$LDFLAGS
6154 >        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6155 >        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6156  
6176 ok="no"
6177 # check header doesn't work, since we must use mpicc to get includes,
6178 # we cant trust cpp.
6179 echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6180 echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6181 cat >conftest.$ac_ext <<_ACEOF
6182 /* confdefs.h.  */
6183 _ACEOF
6184 cat confdefs.h >>conftest.$ac_ext
6185 cat >>conftest.$ac_ext <<_ACEOF
6186 /* end confdefs.h.  */
6187 #include <$xfftwname.h>
6188 #ifdef FC_DUMMY_MAIN
6189 #ifndef FC_DUMMY_MAIN_EQ_F77
6190 #  ifdef __cplusplus
6191     extern "C"
6192 #  endif
6193   int FC_DUMMY_MAIN() { return 1; }
6194 #endif
6195 #endif
6196 int
6197 main ()
6198 {
6157  
6158 <  ;
6159 <  return 0;
6160 < }
6161 < _ACEOF
6162 < rm -f conftest.$ac_objext
6205 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6206 <  (eval $ac_compile) 2>conftest.er1
6207 <  ac_status=$?
6208 <  grep -v '^ *+' conftest.er1 >conftest.err
6209 <  rm -f conftest.er1
6210 <  cat conftest.err >&5
6211 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6212 <  (exit $ac_status); } &&
6213 <         { ac_try='test -z "$ac_c_werror_flag"
6214 <                         || test ! -s conftest.err'
6215 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6216 <  (eval $ac_try) 2>&5
6217 <  ac_status=$?
6218 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6219 <  (exit $ac_status); }; } &&
6220 <         { ac_try='test -s conftest.$ac_objext'
6221 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6222 <  (eval $ac_try) 2>&5
6223 <  ac_status=$?
6224 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6225 <  (exit $ac_status); }; }; then
6158 >        ac_ext=c
6159 > ac_cpp='$CPP $CPPFLAGS'
6160 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6161 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6162 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6163  
6164 < fftwname=$xfftwname
6165 < echo "$as_me:$LINENO: result: yes" >&5
6166 < echo "${ECHO_T}yes" >&6
6167 <
6164 >        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6165 > echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6166 > if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6167 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6168   else
6169 <  echo "$as_me: failed program was:" >&5
6170 < sed 's/^/| /' conftest.$ac_ext >&5
6234 <
6235 < echo "$as_me:$LINENO: result: no" >&5
6236 < echo "${ECHO_T}no" >&6
6237 < fi
6238 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6239 <
6240 < # fftwname was set if we found a header
6241 <
6242 < if test -n "$fftwname"; then
6243 < # we cannot run the code since an MPI program might not be allowed
6244 < # on a login node of a supercomputer
6169 >  ac_check_lib_save_LIBS=$LIBS
6170 > LIBS="-lfftw3  $LIBS"
6171   cat >conftest.$ac_ext <<_ACEOF
6172   /* confdefs.h.  */
6173   _ACEOF
6174   cat confdefs.h >>conftest.$ac_ext
6175   cat >>conftest.$ac_ext <<_ACEOF
6176   /* end confdefs.h.  */
6177 < #include <$fftwname.h>
6177 >
6178 > /* Override any gcc2 internal prototype to avoid an error.  */
6179 > #ifdef __cplusplus
6180 > extern "C"
6181 > #endif
6182 > /* We use char because int might match the return type of a gcc2
6183 >   builtin and then its argument prototype would still apply.  */
6184 > char fftw_execute ();
6185   #ifdef FC_DUMMY_MAIN
6186   #ifndef FC_DUMMY_MAIN_EQ_F77
6187   #  ifdef __cplusplus
# Line 6260 | Line 6193 | main ()
6193   int
6194   main ()
6195   {
6196 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6196 > fftw_execute ();
6197    ;
6198    return 0;
6199   }
6200   _ACEOF
6201 < rm -f conftest.$ac_objext
6202 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6203 <  (eval $ac_compile) 2>conftest.er1
6201 > rm -f conftest.$ac_objext conftest$ac_exeext
6202 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6203 >  (eval $ac_link) 2>conftest.er1
6204    ac_status=$?
6205    grep -v '^ *+' conftest.er1 >conftest.err
6206    rm -f conftest.er1
# Line 6281 | Line 6214 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6214    ac_status=$?
6215    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6216    (exit $ac_status); }; } &&
6217 <         { ac_try='test -s conftest.$ac_objext'
6217 >         { ac_try='test -s conftest$ac_exeext'
6218    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6219    (eval $ac_try) 2>&5
6220    ac_status=$?
6221    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6222    (exit $ac_status); }; }; then
6223 <
6291 < ok=yes
6292 < usedprefix=$fftwcheckprefix
6293 <
6223 >  ac_cv_lib_fftw3_fftw_execute=yes
6224   else
6225    echo "$as_me: failed program was:" >&5
6226   sed 's/^/| /' conftest.$ac_ext >&5
6227  
6228 < ok=no
6228 > ac_cv_lib_fftw3_fftw_execute=no
6229   fi
6230 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6230 > rm -f conftest.err conftest.$ac_objext \
6231 >      conftest$ac_exeext conftest.$ac_ext
6232 > LIBS=$ac_check_lib_save_LIBS
6233   fi
6234 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3_fftw_execute" >&5
6235 + echo "${ECHO_T}$ac_cv_lib_fftw3_fftw_execute" >&6
6236 + if test $ac_cv_lib_fftw3_fftw_execute = yes; then
6237 +  fftw_cv_libfftw3=yes
6238 + else
6239 +  fftw_cv_libfftw3=no
6240 + fi
6241  
6242 < if test "$ok" != "yes"; then
6242 >        if test "${ac_cv_header_fftw3_h+set}" = set; then
6243    echo "$as_me:$LINENO: checking for fftw3.h" >&5
6244   echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6245 <  cat >conftest.$ac_ext <<_ACEOF
6245 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6246 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6247 > fi
6248 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6249 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6250 > else
6251 >  # Is the header compilable?
6252 > echo "$as_me:$LINENO: checking fftw3.h usability" >&5
6253 > echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6
6254 > cat >conftest.$ac_ext <<_ACEOF
6255   /* confdefs.h.  */
6256   _ACEOF
6257   cat confdefs.h >>conftest.$ac_ext
6258   cat >>conftest.$ac_ext <<_ACEOF
6259   /* end confdefs.h.  */
6260 + $ac_includes_default
6261   #include <fftw3.h>
6313 #ifdef FC_DUMMY_MAIN
6314 #ifndef FC_DUMMY_MAIN_EQ_F77
6315 #  ifdef __cplusplus
6316     extern "C"
6317 #  endif
6318   int FC_DUMMY_MAIN() { return 1; }
6319 #endif
6320 #endif
6321 int
6322 main ()
6323 {
6324
6325  ;
6326  return 0;
6327 }
6262   _ACEOF
6263   rm -f conftest.$ac_objext
6264   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6348 | Line 6282 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6282    ac_status=$?
6283    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6284    (exit $ac_status); }; }; then
6285 <  echo "$as_me:$LINENO: result: yes" >&5
6352 < echo "${ECHO_T}yes" >&6
6285 >  ac_header_compiler=yes
6286   else
6287    echo "$as_me: failed program was:" >&5
6288   sed 's/^/| /' conftest.$ac_ext >&5
6289  
6290 <
6358 < echo "$as_me:$LINENO: result: no" >&5
6359 < echo "${ECHO_T}no" >&6
6360 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6361 < Do you have $prec precision FFTW installed? If you are using packages,
6362 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6363 < software at www.fftw.org.
6364 < If you compiled FFTW yourself:
6365 < Note that the default FFTW setup is double precision.  If you want MPI support,
6366 < use --with-mpi. It is a good idea to install both single & double.
6367 < If you have installed FFTW in a non-standard location, you should
6368 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6369 < variables before running configure.
6370 < That is also necessary to do if your compiler doesn't search
6371 < /usr/local/include and /usr/local/lib by default." >&5
6372 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6373 < Do you have $prec precision FFTW installed? If you are using packages,
6374 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6375 < software at www.fftw.org.
6376 < If you compiled FFTW yourself:
6377 < Note that the default FFTW setup is double precision.  If you want MPI support,
6378 < use --with-mpi. It is a good idea to install both single & double.
6379 < If you have installed FFTW in a non-standard location, you should
6380 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6381 < variables before running configure.
6382 < That is also necessary to do if your compiler doesn't search
6383 < /usr/local/include and /usr/local/lib by default." >&2;}
6384 <   { (exit 1); exit 1; }; }
6385 <
6290 > ac_header_compiler=no
6291   fi
6292   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6293 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6294 + echo "${ECHO_T}$ac_header_compiler" >&6
6295 +
6296 + # Is the header present?
6297 + echo "$as_me:$LINENO: checking fftw3.h presence" >&5
6298 + echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6
6299   cat >conftest.$ac_ext <<_ACEOF
6300   /* confdefs.h.  */
6301   _ACEOF
# Line 6392 | Line 6303 | cat >>conftest.$ac_ext <<_ACEOF
6303   cat >>conftest.$ac_ext <<_ACEOF
6304   /* end confdefs.h.  */
6305   #include <fftw3.h>
6395 #ifdef FC_DUMMY_MAIN
6396 #ifndef FC_DUMMY_MAIN_EQ_F77
6397 #  ifdef __cplusplus
6398     extern "C"
6399 #  endif
6400   int FC_DUMMY_MAIN() { return 1; }
6401 #endif
6402 #endif
6403 int
6404 main ()
6405 {
6406 int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6407  ;
6408  return 0;
6409 }
6306   _ACEOF
6307 < rm -f conftest.$ac_objext
6308 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6413 <  (eval $ac_compile) 2>conftest.er1
6307 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6308 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6309    ac_status=$?
6310    grep -v '^ *+' conftest.er1 >conftest.err
6311    rm -f conftest.er1
6312    cat conftest.err >&5
6313    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6314 <  (exit $ac_status); } &&
6315 <         { ac_try='test -z "$ac_c_werror_flag"
6316 <                         || test ! -s conftest.err'
6317 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6318 <  (eval $ac_try) 2>&5
6319 <  ac_status=$?
6320 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6426 <  (exit $ac_status); }; } &&
6427 <         { ac_try='test -s conftest.$ac_objext'
6428 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6429 <  (eval $ac_try) 2>&5
6430 <  ac_status=$?
6431 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6432 <  (exit $ac_status); }; }; then
6433 <
6434 < usedprefix=""
6435 < fftwname=fftw3
6436 <
6314 >  (exit $ac_status); } >/dev/null; then
6315 >  if test -s conftest.err; then
6316 >    ac_cpp_err=$ac_c_preproc_warn_flag
6317 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6318 >  else
6319 >    ac_cpp_err=
6320 >  fi
6321   else
6322 +  ac_cpp_err=yes
6323 + fi
6324 + if test -z "$ac_cpp_err"; then
6325 +  ac_header_preproc=yes
6326 + else
6327    echo "$as_me: failed program was:" >&5
6328   sed 's/^/| /' conftest.$ac_ext >&5
6329  
6330 <
6442 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6443 < Do you have $prec precision FFTW installed? If you are using packages,
6444 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6445 < software at www.fftw.org.
6446 < If you compiled FFTW yourself:
6447 < Note that the default FFTW setup is double precision.  If you want MPI support,
6448 < use --with-mpi. It is a good idea to install both single & double.
6449 < If you have installed FFTW in a non-standard location, you should
6450 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6451 < variables before running configure.
6452 < That is also necessary to do if your compiler doesn't search
6453 < /usr/local/include and /usr/local/lib by default." >&5
6454 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6455 < Do you have $prec precision FFTW installed? If you are using packages,
6456 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6457 < software at www.fftw.org.
6458 < If you compiled FFTW yourself:
6459 < Note that the default FFTW setup is double precision.  If you want MPI support,
6460 < use --with-mpi. It is a good idea to install both single & double.
6461 < If you have installed FFTW in a non-standard location, you should
6462 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6463 < variables before running configure.
6464 < That is also necessary to do if your compiler doesn't search
6465 < /usr/local/include and /usr/local/lib by default." >&2;}
6466 <   { (exit 1); exit 1; }; }
6330 >  ac_header_preproc=no
6331   fi
6332 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6333 < fi
6332 > rm -f conftest.err conftest.$ac_ext
6333 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6334 > echo "${ECHO_T}$ac_header_preproc" >&6
6335  
6336 <
6337 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6338 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6339 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6340 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6336 > # So?  What about this header?
6337 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6338 >  yes:no: )
6339 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
6340 > echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6341 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
6342 > echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
6343 >    ac_header_preproc=yes
6344 >    ;;
6345 >  no:yes:* )
6346 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
6347 > echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
6348 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
6349 > echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
6350 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
6351 > echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
6352 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
6353 > echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6354 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
6355 > echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
6356 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
6357 > echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
6358 >    (
6359 >      cat <<\_ASBOX
6360 > ## ------------------------------ ##
6361 > ## Report this to gezelter@nd.edu ##
6362 > ## ------------------------------ ##
6363 > _ASBOX
6364 >    ) |
6365 >      sed "s/^/$as_me: WARNING:     /" >&2
6366 >    ;;
6367 > esac
6368 > echo "$as_me:$LINENO: checking for fftw3.h" >&5
6369 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6370 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6371    echo $ECHO_N "(cached) $ECHO_C" >&6
6372   else
6373 <  ac_check_lib_save_LIBS=$LIBS
6479 < LIBS="-l$fftwname  $LIBS"
6480 < cat >conftest.$ac_ext <<_ACEOF
6481 < /* confdefs.h.  */
6482 < _ACEOF
6483 < cat confdefs.h >>conftest.$ac_ext
6484 < cat >>conftest.$ac_ext <<_ACEOF
6485 < /* end confdefs.h.  */
6486 <
6487 <
6488 < #ifdef FC_DUMMY_MAIN
6489 < #ifndef FC_DUMMY_MAIN_EQ_F77
6490 < #  ifdef __cplusplus
6491 <     extern "C"
6492 < #  endif
6493 <   int FC_DUMMY_MAIN() { return 1; }
6494 < #endif
6495 < #endif
6496 < int
6497 < main ()
6498 < {
6499 < main ();
6500 <  ;
6501 <  return 0;
6502 < }
6503 < _ACEOF
6504 < rm -f conftest.$ac_objext conftest$ac_exeext
6505 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6506 <  (eval $ac_link) 2>conftest.er1
6507 <  ac_status=$?
6508 <  grep -v '^ *+' conftest.er1 >conftest.err
6509 <  rm -f conftest.er1
6510 <  cat conftest.err >&5
6511 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6512 <  (exit $ac_status); } &&
6513 <         { ac_try='test -z "$ac_c_werror_flag"
6514 <                         || test ! -s conftest.err'
6515 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6516 <  (eval $ac_try) 2>&5
6517 <  ac_status=$?
6518 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6519 <  (exit $ac_status); }; } &&
6520 <         { ac_try='test -s conftest$ac_exeext'
6521 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6522 <  (eval $ac_try) 2>&5
6523 <  ac_status=$?
6524 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6525 <  (exit $ac_status); }; }; then
6526 <  eval "$as_ac_Lib=yes"
6527 < else
6528 <  echo "$as_me: failed program was:" >&5
6529 < sed 's/^/| /' conftest.$ac_ext >&5
6530 <
6531 < eval "$as_ac_Lib=no"
6373 >  ac_cv_header_fftw3_h=$ac_header_preproc
6374   fi
6375 < rm -f conftest.err conftest.$ac_objext \
6376 <      conftest$ac_exeext conftest.$ac_ext
6535 < LIBS=$ac_check_lib_save_LIBS
6536 < fi
6537 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6538 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6539 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6540 <  cat >>confdefs.h <<_ACEOF
6541 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
6542 < _ACEOF
6375 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6376 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6377  
6378 <  LIBS="-l$fftwname $LIBS"
6379 <
6378 > fi
6379 > if test $ac_cv_header_fftw3_h = yes; then
6380 >  fftw_cv_fftw3_h=yes
6381   else
6382 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
6548 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
6549 <   { (exit 1); exit 1; }; }
6382 >  fftw_cv_fftw3_h=no
6383   fi
6384  
6552 ac_fftw_savedprefix=$usedprefix
6553 ac_fftw_firstname=$fftwname
6385  
6386 +        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6387 +        then
6388 +                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6389 + echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6390 + if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6391 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6392   else
6393 <
6394 < fftwname=${ac_fftw_savedprefix}fftw3
6558 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
6559 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6560 < cat >conftest.$ac_ext <<_ACEOF
6561 < /* confdefs.h.  */
6562 < _ACEOF
6563 < cat confdefs.h >>conftest.$ac_ext
6564 < cat >>conftest.$ac_ext <<_ACEOF
6565 < /* end confdefs.h.  */
6566 < #include <$fftwname.h>
6567 < #ifdef FC_DUMMY_MAIN
6568 < #ifndef FC_DUMMY_MAIN_EQ_F77
6569 < #  ifdef __cplusplus
6570 <     extern "C"
6571 < #  endif
6572 <   int FC_DUMMY_MAIN() { return 1; }
6573 < #endif
6574 < #endif
6575 < int
6576 < main ()
6577 < {
6578 <
6579 <  ;
6580 <  return 0;
6581 < }
6582 < _ACEOF
6583 < rm -f conftest.$ac_objext
6584 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6585 <  (eval $ac_compile) 2>conftest.er1
6586 <  ac_status=$?
6587 <  grep -v '^ *+' conftest.er1 >conftest.err
6588 <  rm -f conftest.er1
6589 <  cat conftest.err >&5
6590 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6591 <  (exit $ac_status); } &&
6592 <         { ac_try='test -z "$ac_c_werror_flag"
6593 <                         || test ! -s conftest.err'
6594 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6595 <  (eval $ac_try) 2>&5
6596 <  ac_status=$?
6597 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6598 <  (exit $ac_status); }; } &&
6599 <         { ac_try='test -s conftest.$ac_objext'
6600 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6601 <  (eval $ac_try) 2>&5
6602 <  ac_status=$?
6603 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6604 <  (exit $ac_status); }; }; then
6605 <  echo "$as_me:$LINENO: result: yes" >&5
6606 < echo "${ECHO_T}yes" >&6
6607 < LIBS="-l$fftwname $LIBS"
6393 >  ac_check_lib_save_LIBS=$LIBS
6394 > LIBS="-lfftw  $LIBS"
6395   cat >conftest.$ac_ext <<_ACEOF
6396   /* confdefs.h.  */
6397   _ACEOF
# Line 6612 | Line 6399 | cat >>conftest.$ac_ext <<_ACEOF
6399   cat >>conftest.$ac_ext <<_ACEOF
6400   /* end confdefs.h.  */
6401  
6402 <
6402 > /* Override any gcc2 internal prototype to avoid an error.  */
6403 > #ifdef __cplusplus
6404 > extern "C"
6405 > #endif
6406 > /* We use char because int might match the return type of a gcc2
6407 >   builtin and then its argument prototype would still apply.  */
6408 > char fftwnd_one ();
6409   #ifdef FC_DUMMY_MAIN
6410   #ifndef FC_DUMMY_MAIN_EQ_F77
6411   #  ifdef __cplusplus
# Line 6624 | Line 6417 | main ()
6417   int
6418   main ()
6419   {
6420 < main ();
6420 > fftwnd_one ();
6421    ;
6422    return 0;
6423   }
# Line 6651 | Line 6444 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6444    ac_status=$?
6445    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6446    (exit $ac_status); }; }; then
6447 <  :
6447 >  ac_cv_lib_fftw_fftwnd_one=yes
6448   else
6449    echo "$as_me: failed program was:" >&5
6450   sed 's/^/| /' conftest.$ac_ext >&5
6451  
6452 + ac_cv_lib_fftw_fftwnd_one=no
6453   fi
6454   rm -f conftest.err conftest.$ac_objext \
6455        conftest$ac_exeext conftest.$ac_ext
6456 + LIBS=$ac_check_lib_save_LIBS
6457 + fi
6458 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftwnd_one" >&5
6459 + echo "${ECHO_T}$ac_cv_lib_fftw_fftwnd_one" >&6
6460 + if test $ac_cv_lib_fftw_fftwnd_one = yes; then
6461 +  fftw_cv_libfftw=yes
6462   else
6463 <  echo "$as_me: failed program was:" >&5
6664 < sed 's/^/| /' conftest.$ac_ext >&5
6665 <
6666 <
6667 < echo "$as_me:$LINENO: result: no" >&5
6668 < echo "${ECHO_T}no" >&6
6669 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6670 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6671 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6672 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6673 <   { (exit 1); exit 1; }; }
6674 <
6463 >  fftw_cv_libfftw=no
6464   fi
6676 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6465  
6466 +                if test "${ac_cv_header_fftw_h+set}" = set; then
6467 +  echo "$as_me:$LINENO: checking for fftw.h" >&5
6468 + echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6469 + if test "${ac_cv_header_fftw_h+set}" = set; then
6470 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6471   fi
6472 <
6473 <
6681 <
6682 <  if test "$with_mpi" = "yes"; then
6683 <
6684 < if test -z "$ac_fftw_firstname"; then
6685 <
6686 < sizeof_real=$sizeof_real
6687 < if test $sizeof_real = 8; then
6688 <  prec="double"
6689 <  fftwcheckprefix=d
6472 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6473 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6474   else
6475 <  prec="single"
6476 <  fftwcheckprefix=s
6477 < fi
6694 <
6695 < xfftwname=${fftwcheckprefix}fftw3_mpi
6696 <
6697 < ok="no"
6698 < # check header doesn't work, since we must use mpicc to get includes,
6699 < # we cant trust cpp.
6700 < echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6701 < echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6475 >  # Is the header compilable?
6476 > echo "$as_me:$LINENO: checking fftw.h usability" >&5
6477 > echo $ECHO_N "checking fftw.h usability... $ECHO_C" >&6
6478   cat >conftest.$ac_ext <<_ACEOF
6479   /* confdefs.h.  */
6480   _ACEOF
6481   cat confdefs.h >>conftest.$ac_ext
6482   cat >>conftest.$ac_ext <<_ACEOF
6483   /* end confdefs.h.  */
6484 < #include <$xfftwname.h>
6485 < #ifdef FC_DUMMY_MAIN
6710 < #ifndef FC_DUMMY_MAIN_EQ_F77
6711 < #  ifdef __cplusplus
6712 <     extern "C"
6713 < #  endif
6714 <   int FC_DUMMY_MAIN() { return 1; }
6715 < #endif
6716 < #endif
6717 < int
6718 < main ()
6719 < {
6720 <
6721 <  ;
6722 <  return 0;
6723 < }
6484 > $ac_includes_default
6485 > #include <fftw.h>
6486   _ACEOF
6487   rm -f conftest.$ac_objext
6488   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6744 | Line 6506 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6506    ac_status=$?
6507    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6508    (exit $ac_status); }; }; then
6509 <
6748 < fftwname=$xfftwname
6749 < echo "$as_me:$LINENO: result: yes" >&5
6750 < echo "${ECHO_T}yes" >&6
6751 <
6509 >  ac_header_compiler=yes
6510   else
6511    echo "$as_me: failed program was:" >&5
6512   sed 's/^/| /' conftest.$ac_ext >&5
6513  
6514 < echo "$as_me:$LINENO: result: no" >&5
6757 < echo "${ECHO_T}no" >&6
6514 > ac_header_compiler=no
6515   fi
6516   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6517 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6518 + echo "${ECHO_T}$ac_header_compiler" >&6
6519  
6520 < # fftwname was set if we found a header
6521 <
6522 < if test -n "$fftwname"; then
6764 < # we cannot run the code since an MPI program might not be allowed
6765 < # on a login node of a supercomputer
6520 > # Is the header present?
6521 > echo "$as_me:$LINENO: checking fftw.h presence" >&5
6522 > echo $ECHO_N "checking fftw.h presence... $ECHO_C" >&6
6523   cat >conftest.$ac_ext <<_ACEOF
6524   /* confdefs.h.  */
6525   _ACEOF
6526   cat confdefs.h >>conftest.$ac_ext
6527   cat >>conftest.$ac_ext <<_ACEOF
6528   /* end confdefs.h.  */
6529 < #include <$fftwname.h>
6773 < #ifdef FC_DUMMY_MAIN
6774 < #ifndef FC_DUMMY_MAIN_EQ_F77
6775 < #  ifdef __cplusplus
6776 <     extern "C"
6777 < #  endif
6778 <   int FC_DUMMY_MAIN() { return 1; }
6779 < #endif
6780 < #endif
6781 < int
6782 < main ()
6783 < {
6784 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6785 <  ;
6786 <  return 0;
6787 < }
6529 > #include <fftw.h>
6530   _ACEOF
6531 < rm -f conftest.$ac_objext
6532 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6791 <  (eval $ac_compile) 2>conftest.er1
6531 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6532 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6533    ac_status=$?
6534    grep -v '^ *+' conftest.er1 >conftest.err
6535    rm -f conftest.er1
6536    cat conftest.err >&5
6537    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6538 <  (exit $ac_status); } &&
6539 <         { ac_try='test -z "$ac_c_werror_flag"
6540 <                         || test ! -s conftest.err'
6541 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6542 <  (eval $ac_try) 2>&5
6543 <  ac_status=$?
6544 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6804 <  (exit $ac_status); }; } &&
6805 <         { ac_try='test -s conftest.$ac_objext'
6806 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6807 <  (eval $ac_try) 2>&5
6808 <  ac_status=$?
6809 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6810 <  (exit $ac_status); }; }; then
6811 <
6812 < ok=yes
6813 < usedprefix=$fftwcheckprefix
6814 <
6538 >  (exit $ac_status); } >/dev/null; then
6539 >  if test -s conftest.err; then
6540 >    ac_cpp_err=$ac_c_preproc_warn_flag
6541 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6542 >  else
6543 >    ac_cpp_err=
6544 >  fi
6545   else
6546 <  echo "$as_me: failed program was:" >&5
6817 < sed 's/^/| /' conftest.$ac_ext >&5
6818 <
6819 < ok=no
6546 >  ac_cpp_err=yes
6547   fi
6548 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6549 < fi
6823 <
6824 < if test "$ok" != "yes"; then
6825 <  echo "$as_me:$LINENO: checking for fftw3_mpi.h" >&5
6826 < echo $ECHO_N "checking for fftw3_mpi.h... $ECHO_C" >&6
6827 <  cat >conftest.$ac_ext <<_ACEOF
6828 < /* confdefs.h.  */
6829 < _ACEOF
6830 < cat confdefs.h >>conftest.$ac_ext
6831 < cat >>conftest.$ac_ext <<_ACEOF
6832 < /* end confdefs.h.  */
6833 < #include <fftw3_mpi.h>
6834 < #ifdef FC_DUMMY_MAIN
6835 < #ifndef FC_DUMMY_MAIN_EQ_F77
6836 < #  ifdef __cplusplus
6837 <     extern "C"
6838 < #  endif
6839 <   int FC_DUMMY_MAIN() { return 1; }
6840 < #endif
6841 < #endif
6842 < int
6843 < main ()
6844 < {
6845 <
6846 <  ;
6847 <  return 0;
6848 < }
6849 < _ACEOF
6850 < rm -f conftest.$ac_objext
6851 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6852 <  (eval $ac_compile) 2>conftest.er1
6853 <  ac_status=$?
6854 <  grep -v '^ *+' conftest.er1 >conftest.err
6855 <  rm -f conftest.er1
6856 <  cat conftest.err >&5
6857 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6858 <  (exit $ac_status); } &&
6859 <         { ac_try='test -z "$ac_c_werror_flag"
6860 <                         || test ! -s conftest.err'
6861 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6862 <  (eval $ac_try) 2>&5
6863 <  ac_status=$?
6864 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6865 <  (exit $ac_status); }; } &&
6866 <         { ac_try='test -s conftest.$ac_objext'
6867 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6868 <  (eval $ac_try) 2>&5
6869 <  ac_status=$?
6870 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6871 <  (exit $ac_status); }; }; then
6872 <  echo "$as_me:$LINENO: result: yes" >&5
6873 < echo "${ECHO_T}yes" >&6
6548 > if test -z "$ac_cpp_err"; then
6549 >  ac_header_preproc=yes
6550   else
6551    echo "$as_me: failed program was:" >&5
6552   sed 's/^/| /' conftest.$ac_ext >&5
6553  
6554 <
6879 < echo "$as_me:$LINENO: result: no" >&5
6880 < echo "${ECHO_T}no" >&6
6881 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6882 < Do you have $prec precision FFTW installed? If you are using packages,
6883 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6884 < software at www.fftw.org.
6885 < If you compiled FFTW yourself:
6886 < Note that the default FFTW setup is double precision.  If you want MPI support,
6887 < use --with-mpi. It is a good idea to install both single & double.
6888 < If you have installed FFTW in a non-standard location, you should
6889 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6890 < variables before running configure.
6891 < That is also necessary to do if your compiler doesn't search
6892 < /usr/local/include and /usr/local/lib by default." >&5
6893 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6894 < Do you have $prec precision FFTW installed? If you are using packages,
6895 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6896 < software at www.fftw.org.
6897 < If you compiled FFTW yourself:
6898 < Note that the default FFTW setup is double precision.  If you want MPI support,
6899 < use --with-mpi. It is a good idea to install both single & double.
6900 < If you have installed FFTW in a non-standard location, you should
6901 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6902 < variables before running configure.
6903 < That is also necessary to do if your compiler doesn't search
6904 < /usr/local/include and /usr/local/lib by default." >&2;}
6905 <   { (exit 1); exit 1; }; }
6906 <
6554 >  ac_header_preproc=no
6555   fi
6556 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6557 < cat >conftest.$ac_ext <<_ACEOF
6558 < /* confdefs.h.  */
6911 < _ACEOF
6912 < cat confdefs.h >>conftest.$ac_ext
6913 < cat >>conftest.$ac_ext <<_ACEOF
6914 < /* end confdefs.h.  */
6915 < #include <fftw3_mpi.h>
6916 < #ifdef FC_DUMMY_MAIN
6917 < #ifndef FC_DUMMY_MAIN_EQ_F77
6918 < #  ifdef __cplusplus
6919 <     extern "C"
6920 < #  endif
6921 <   int FC_DUMMY_MAIN() { return 1; }
6922 < #endif
6923 < #endif
6924 < int
6925 < main ()
6926 < {
6927 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6928 <  ;
6929 <  return 0;
6930 < }
6931 < _ACEOF
6932 < rm -f conftest.$ac_objext
6933 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6934 <  (eval $ac_compile) 2>conftest.er1
6935 <  ac_status=$?
6936 <  grep -v '^ *+' conftest.er1 >conftest.err
6937 <  rm -f conftest.er1
6938 <  cat conftest.err >&5
6939 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6940 <  (exit $ac_status); } &&
6941 <         { ac_try='test -z "$ac_c_werror_flag"
6942 <                         || test ! -s conftest.err'
6943 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6944 <  (eval $ac_try) 2>&5
6945 <  ac_status=$?
6946 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6947 <  (exit $ac_status); }; } &&
6948 <         { ac_try='test -s conftest.$ac_objext'
6949 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6950 <  (eval $ac_try) 2>&5
6951 <  ac_status=$?
6952 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6953 <  (exit $ac_status); }; }; then
6556 > rm -f conftest.err conftest.$ac_ext
6557 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6558 > echo "${ECHO_T}$ac_header_preproc" >&6
6559  
6560 < usedprefix=""
6561 < fftwname=fftw3_mpi
6562 <
6560 > # So?  What about this header?
6561 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6562 >  yes:no: )
6563 >    { echo "$as_me:$LINENO: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6564 > echo "$as_me: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6565 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the compiler's result" >&5
6566 > echo "$as_me: WARNING: fftw.h: proceeding with the compiler's result" >&2;}
6567 >    ac_header_preproc=yes
6568 >    ;;
6569 >  no:yes:* )
6570 >    { echo "$as_me:$LINENO: WARNING: fftw.h: present but cannot be compiled" >&5
6571 > echo "$as_me: WARNING: fftw.h: present but cannot be compiled" >&2;}
6572 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     check for missing prerequisite headers?" >&5
6573 > echo "$as_me: WARNING: fftw.h:     check for missing prerequisite headers?" >&2;}
6574 >    { echo "$as_me:$LINENO: WARNING: fftw.h: see the Autoconf documentation" >&5
6575 > echo "$as_me: WARNING: fftw.h: see the Autoconf documentation" >&2;}
6576 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6577 > echo "$as_me: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6578 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the preprocessor's result" >&5
6579 > echo "$as_me: WARNING: fftw.h: proceeding with the preprocessor's result" >&2;}
6580 >    { echo "$as_me:$LINENO: WARNING: fftw.h: in the future, the compiler will take precedence" >&5
6581 > echo "$as_me: WARNING: fftw.h: in the future, the compiler will take precedence" >&2;}
6582 >    (
6583 >      cat <<\_ASBOX
6584 > ## ------------------------------ ##
6585 > ## Report this to gezelter@nd.edu ##
6586 > ## ------------------------------ ##
6587 > _ASBOX
6588 >    ) |
6589 >      sed "s/^/$as_me: WARNING:     /" >&2
6590 >    ;;
6591 > esac
6592 > echo "$as_me:$LINENO: checking for fftw.h" >&5
6593 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6594 > if test "${ac_cv_header_fftw_h+set}" = set; then
6595 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6596   else
6597 <  echo "$as_me: failed program was:" >&5
6598 < sed 's/^/| /' conftest.$ac_ext >&5
6599 <
6597 >  ac_cv_header_fftw_h=$ac_header_preproc
6598 > fi
6599 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6600 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6601  
6963 { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6964 Do you have $prec precision FFTW installed? If you are using packages,
6965 note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6966 software at www.fftw.org.
6967 If you compiled FFTW yourself:
6968 Note that the default FFTW setup is double precision.  If you want MPI support,
6969 use --with-mpi. It is a good idea to install both single & double.
6970 If you have installed FFTW in a non-standard location, you should
6971 provide the correct paths in the CPPFLAGS and LDFLAGS environment
6972 variables before running configure.
6973 That is also necessary to do if your compiler doesn't search
6974 /usr/local/include and /usr/local/lib by default." >&5
6975 echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6976 Do you have $prec precision FFTW installed? If you are using packages,
6977 note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6978 software at www.fftw.org.
6979 If you compiled FFTW yourself:
6980 Note that the default FFTW setup is double precision.  If you want MPI support,
6981 use --with-mpi. It is a good idea to install both single & double.
6982 If you have installed FFTW in a non-standard location, you should
6983 provide the correct paths in the CPPFLAGS and LDFLAGS environment
6984 variables before running configure.
6985 That is also necessary to do if your compiler doesn't search
6986 /usr/local/include and /usr/local/lib by default." >&2;}
6987   { (exit 1); exit 1; }; }
6602   fi
6603 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6603 > if test $ac_cv_header_fftw_h = yes; then
6604 >  fftw_cv_fftw_h=yes
6605 > else
6606 >  fftw_cv_fftw_h=no
6607   fi
6608  
6609  
6610 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6611 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6612 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6613 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6610 >                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6611 >                then
6612 >                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6613 > echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6614 > if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6615    echo $ECHO_N "(cached) $ECHO_C" >&6
6616   else
6617    ac_check_lib_save_LIBS=$LIBS
6618 < LIBS="-l$fftwname  $LIBS"
6618 > LIBS="-ldfftw  $LIBS"
6619   cat >conftest.$ac_ext <<_ACEOF
6620   /* confdefs.h.  */
6621   _ACEOF
# Line 7005 | Line 6623 | cat >>conftest.$ac_ext <<_ACEOF
6623   cat >>conftest.$ac_ext <<_ACEOF
6624   /* end confdefs.h.  */
6625  
6626 <
6626 > /* Override any gcc2 internal prototype to avoid an error.  */
6627 > #ifdef __cplusplus
6628 > extern "C"
6629 > #endif
6630 > /* We use char because int might match the return type of a gcc2
6631 >   builtin and then its argument prototype would still apply.  */
6632 > char fftwnd_one ();
6633   #ifdef FC_DUMMY_MAIN
6634   #ifndef FC_DUMMY_MAIN_EQ_F77
6635   #  ifdef __cplusplus
# Line 7017 | Line 6641 | main ()
6641   int
6642   main ()
6643   {
6644 < main ();
6644 > fftwnd_one ();
6645    ;
6646    return 0;
6647   }
# Line 7044 | Line 6668 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6668    ac_status=$?
6669    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6670    (exit $ac_status); }; }; then
6671 <  eval "$as_ac_Lib=yes"
6671 >  ac_cv_lib_dfftw_fftwnd_one=yes
6672   else
6673    echo "$as_me: failed program was:" >&5
6674   sed 's/^/| /' conftest.$ac_ext >&5
6675  
6676 < eval "$as_ac_Lib=no"
6676 > ac_cv_lib_dfftw_fftwnd_one=no
6677   fi
6678   rm -f conftest.err conftest.$ac_objext \
6679        conftest$ac_exeext conftest.$ac_ext
6680   LIBS=$ac_check_lib_save_LIBS
6681   fi
6682 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6683 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6684 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6685 <  cat >>confdefs.h <<_ACEOF
7062 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
7063 < _ACEOF
7064 <
7065 <  LIBS="-l$fftwname $LIBS"
7066 <
6682 > echo "$as_me:$LINENO: result: $ac_cv_lib_dfftw_fftwnd_one" >&5
6683 > echo "${ECHO_T}$ac_cv_lib_dfftw_fftwnd_one" >&6
6684 > if test $ac_cv_lib_dfftw_fftwnd_one = yes; then
6685 >  fftw_cv_libdfftw=yes
6686   else
6687 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
7069 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
7070 <   { (exit 1); exit 1; }; }
6687 >  fftw_cv_libdfftw=no
6688   fi
6689  
6690 < ac_fftw_savedprefix=$usedprefix
6691 < ac_fftw_firstname=$fftwname
6692 <
6690 >                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6691 >  echo "$as_me:$LINENO: checking for dfftw.h" >&5
6692 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6693 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6694 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6695 > fi
6696 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6697 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6698   else
6699 <
6700 < fftwname=${ac_fftw_savedprefix}fftw3_mpi
6701 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
7080 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6699 >  # Is the header compilable?
6700 > echo "$as_me:$LINENO: checking dfftw.h usability" >&5
6701 > echo $ECHO_N "checking dfftw.h usability... $ECHO_C" >&6
6702   cat >conftest.$ac_ext <<_ACEOF
6703   /* confdefs.h.  */
6704   _ACEOF
6705   cat confdefs.h >>conftest.$ac_ext
6706   cat >>conftest.$ac_ext <<_ACEOF
6707   /* end confdefs.h.  */
6708 < #include <$fftwname.h>
6709 < #ifdef FC_DUMMY_MAIN
7089 < #ifndef FC_DUMMY_MAIN_EQ_F77
7090 < #  ifdef __cplusplus
7091 <     extern "C"
7092 < #  endif
7093 <   int FC_DUMMY_MAIN() { return 1; }
7094 < #endif
7095 < #endif
7096 < int
7097 < main ()
7098 < {
7099 <
7100 <  ;
7101 <  return 0;
7102 < }
6708 > $ac_includes_default
6709 > #include <dfftw.h>
6710   _ACEOF
6711   rm -f conftest.$ac_objext
6712   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 7123 | Line 6730 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6730    ac_status=$?
6731    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6732    (exit $ac_status); }; }; then
6733 <  echo "$as_me:$LINENO: result: yes" >&5
6734 < echo "${ECHO_T}yes" >&6
6735 < LIBS="-l$fftwname $LIBS"
6733 >  ac_header_compiler=yes
6734 > else
6735 >  echo "$as_me: failed program was:" >&5
6736 > sed 's/^/| /' conftest.$ac_ext >&5
6737 >
6738 > ac_header_compiler=no
6739 > fi
6740 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6741 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6742 > echo "${ECHO_T}$ac_header_compiler" >&6
6743 >
6744 > # Is the header present?
6745 > echo "$as_me:$LINENO: checking dfftw.h presence" >&5
6746 > echo $ECHO_N "checking dfftw.h presence... $ECHO_C" >&6
6747   cat >conftest.$ac_ext <<_ACEOF
6748   /* confdefs.h.  */
6749   _ACEOF
6750   cat confdefs.h >>conftest.$ac_ext
6751   cat >>conftest.$ac_ext <<_ACEOF
6752   /* end confdefs.h.  */
6753 <
7136 <
7137 < #ifdef FC_DUMMY_MAIN
7138 < #ifndef FC_DUMMY_MAIN_EQ_F77
7139 < #  ifdef __cplusplus
7140 <     extern "C"
7141 < #  endif
7142 <   int FC_DUMMY_MAIN() { return 1; }
7143 < #endif
7144 < #endif
7145 < int
7146 < main ()
7147 < {
7148 < main ();
7149 <  ;
7150 <  return 0;
7151 < }
6753 > #include <dfftw.h>
6754   _ACEOF
6755 < rm -f conftest.$ac_objext conftest$ac_exeext
6756 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7155 <  (eval $ac_link) 2>conftest.er1
6755 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6756 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6757    ac_status=$?
6758    grep -v '^ *+' conftest.er1 >conftest.err
6759    rm -f conftest.er1
6760    cat conftest.err >&5
6761    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6762 <  (exit $ac_status); } &&
6763 <         { ac_try='test -z "$ac_c_werror_flag"
6764 <                         || test ! -s conftest.err'
6765 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6766 <  (eval $ac_try) 2>&5
6767 <  ac_status=$?
6768 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7168 <  (exit $ac_status); }; } &&
7169 <         { ac_try='test -s conftest$ac_exeext'
7170 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7171 <  (eval $ac_try) 2>&5
7172 <  ac_status=$?
7173 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7174 <  (exit $ac_status); }; }; then
7175 <  :
6762 >  (exit $ac_status); } >/dev/null; then
6763 >  if test -s conftest.err; then
6764 >    ac_cpp_err=$ac_c_preproc_warn_flag
6765 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6766 >  else
6767 >    ac_cpp_err=
6768 >  fi
6769   else
6770 <  echo "$as_me: failed program was:" >&5
7178 < sed 's/^/| /' conftest.$ac_ext >&5
7179 <
6770 >  ac_cpp_err=yes
6771   fi
6772 < rm -f conftest.err conftest.$ac_objext \
6773 <      conftest$ac_exeext conftest.$ac_ext
6772 > if test -z "$ac_cpp_err"; then
6773 >  ac_header_preproc=yes
6774   else
6775    echo "$as_me: failed program was:" >&5
6776   sed 's/^/| /' conftest.$ac_ext >&5
6777  
6778 +  ac_header_preproc=no
6779 + fi
6780 + rm -f conftest.err conftest.$ac_ext
6781 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6782 + echo "${ECHO_T}$ac_header_preproc" >&6
6783  
6784 < echo "$as_me:$LINENO: result: no" >&5
6785 < echo "${ECHO_T}no" >&6
6786 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6787 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6788 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6789 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6790 <   { (exit 1); exit 1; }; }
6791 <
6784 > # So?  What about this header?
6785 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6786 >  yes:no: )
6787 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6788 > echo "$as_me: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6789 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the compiler's result" >&5
6790 > echo "$as_me: WARNING: dfftw.h: proceeding with the compiler's result" >&2;}
6791 >    ac_header_preproc=yes
6792 >    ;;
6793 >  no:yes:* )
6794 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: present but cannot be compiled" >&5
6795 > echo "$as_me: WARNING: dfftw.h: present but cannot be compiled" >&2;}
6796 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     check for missing prerequisite headers?" >&5
6797 > echo "$as_me: WARNING: dfftw.h:     check for missing prerequisite headers?" >&2;}
6798 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: see the Autoconf documentation" >&5
6799 > echo "$as_me: WARNING: dfftw.h: see the Autoconf documentation" >&2;}
6800 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6801 > echo "$as_me: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6802 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the preprocessor's result" >&5
6803 > echo "$as_me: WARNING: dfftw.h: proceeding with the preprocessor's result" >&2;}
6804 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: in the future, the compiler will take precedence" >&5
6805 > echo "$as_me: WARNING: dfftw.h: in the future, the compiler will take precedence" >&2;}
6806 >    (
6807 >      cat <<\_ASBOX
6808 > ## ------------------------------ ##
6809 > ## Report this to gezelter@nd.edu ##
6810 > ## ------------------------------ ##
6811 > _ASBOX
6812 >    ) |
6813 >      sed "s/^/$as_me: WARNING:     /" >&2
6814 >    ;;
6815 > esac
6816 > echo "$as_me:$LINENO: checking for dfftw.h" >&5
6817 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6818 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6819 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6820 > else
6821 >  ac_cv_header_dfftw_h=$ac_header_preproc
6822   fi
6823 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6823 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6824 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6825  
6826   fi
6827 + if test $ac_cv_header_dfftw_h = yes; then
6828 +  fftw_cv_dfftw_h=yes
6829 + else
6830 +  fftw_cv_dfftw_h=no
6831 + fi
6832  
6833  
6834 <  fi
6834 >                fi
6835 >        fi
6836 >        ac_ext=c
6837 > ac_cpp='$CPP $CPPFLAGS'
6838 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6839 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6840 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6841  
6842 <  case ${ac_fftw_savedprefix} in
6843 <   d)
6844 < cat >>confdefs.h <<\_ACEOF
6845 < #define FFTW_NAME_DFFTW
7208 < _ACEOF
7209 < ;;
7210 <   *)
6842 >
6843 >        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6844 >        then
6845 >
6846   cat >>confdefs.h <<\_ACEOF
6847 < #define FFTW_NAME_FFTW
6847 > #define HAVE_FFTW3_H 1
6848   _ACEOF
6849 < ;;
6850 <  esac
6851 < else
6852 <  echo "*******************************************************************"
6853 <  echo "* FFTW libraries and include files are required for computing     *"
6854 <  echo "* undulation spectra with the staticProps program.  If you don't  *"
6855 <  echo "* fftw turned on, OOPSE will still work, but you won't be able to *"
6856 <  echo "* analyze your trajectories for this property.                    *"
6857 <  echo "*******************************************************************"
6858 < fi # end of fftw check
6849 >
6850 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6851 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6852 >                FFTW_LIBS="-lfftw3"
6853 >        else
6854 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6855 >        then
6856 >
6857 > cat >>confdefs.h <<\_ACEOF
6858 > #define HAVE_FFTW_H 1
6859 > _ACEOF
6860 >
6861 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6862 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6863 >                FFTW_LIBS="-lfftw"
6864 >        else
6865 >        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6866 >        then
6867 >
6868 > cat >>confdefs.h <<\_ACEOF
6869 > #define HAVE_DFFTW_H 1
6870 > _ACEOF
6871 >
6872 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6873 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6874 >                FFTW_LIBS="-ldfftw"
6875 >        else
6876 >                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6877 > echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6878 >                FFTW_INC_DIR=
6879 >                FFTW_LIB_DIR=
6880 >                FFTW_LIBS=
6881 >                LDFLAGS="$FFTW_OLD_LDFLAGS"
6882 >                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6883 >                echo "$as_me:$LINENO: result: failed" >&5
6884 > echo "${ECHO_T}failed" >&6
6885 >        echo ""
6886 >        echo "*********************************************************"
6887 >        echo "* WARNING: Could not find a working FFTW installation   *"
6888 >        echo "* If you need the staticProps program to be able to     *"
6889 >        echo "* compute undulation spectra, be sure to specify a      *"
6890 >        echo "* valid fftw installation with --with-fftw=DIR          *"
6891 >        echo "*                                                       *"
6892 >        echo "* OOPSE will still work without fftw installed.         *"
6893 >        echo "*********************************************************"
6894 >        echo ""
6895 >        fi
6896 >        fi
6897 >        fi
6898  
6899 +
6900 +
6901 + fi
6902 + fi
6903 +
6904 +
6905 +
6906   # Checks for header files.
6907   echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6908   echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
# Line 13780 | Line 13461 | fi
13461  
13462  
13463   fi
13783
13464  
13465  
13466  
# Line 14232 | Line 13912 | CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13912   CGAL_LIB_DIR=${CGAL_LIBDIR}
13913  
13914   CGAL_RLIB_DIR=${CGAL_RLIBDIR}
14235
13915  
13916  
13917  
# Line 15061 | Line 14740 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14740   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14741   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14742   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14743 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14744 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14745 + s,@ZLIB@,$ZLIB,;t t
14746 + s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14747 + s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14748 + s,@FFTW_LIBS@,$FFTW_LIBS,;t t
14749   s,@LIBOBJS@,$LIBOBJS,;t t
14750   s,@POW_LIB@,$POW_LIB,;t t
14751   s,@CXXCPP@,$CXXCPP,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines